Name:           swish-e
Version:        2.4.7
Release:        2%{?dist}
Summary:        Simple Web Indexing System for Humans - Enhanced

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://swish-e.org/
Source0:        http://swish-e.org/distribution/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(HTML::Parser), perl(HTML::Tagset), perl(MIME::Types)
Requires:       perl(URI), perl(HTML::Template), perl(HTML::FillInForm), perl(Template::Toolkit)
Requires:       xpdf, catdoc, perl(Spreadsheet::ParseExcel)

%description
Swish-e can quickly and easily index directories of files or remote
web sites and search the generated indexes.
  Swish-e is extremely fast in both indexing and searching, highly
configurable, and can be seamlessly integrated with existing web sites
to maintain a consistent design. Swish-e can index web pages, but can
just as easily index text files, mailing list archives, or data stored
in a relational database.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}, pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        perl
Summary:        Swish-e perl scripts and doc examples
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    perl
Swish-e perl scripts, programs along with doc examples.

%package        -n perl-SWISH
Summary:        Swish-e Swish-Filter modules
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    -n perl-SWISH
Swish-e SWISH-Filter modules and perl interface to swish-e library

%package         doc
Summary:         Swish-e documentation
Group:           Documentation
Requires:        %{name} = %{version}-%{release}

%description     doc
Swish-e documentation.


%prep
%setup -q

# Not included till it gets fixed. Will provide upstream link once ML is up
#%{__tar} -xzf example/SWISH-Stemmer-0.05.tar.gz
rm -f example/SWISH-Stemmer-0.05.tar.gz

# suppress rpmlint
chmod 644 src/*.[ch] src/expat/xmltok/*.[ch]
chmod 644 pod/SWISH-BUGS.pod

%build
%configure --disable-static

# remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/swish-e

mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}
mv $RPM_BUILD_ROOT%{_prefix}/lib/swish-e/perl/* $RPM_BUILD_ROOT%{perl_vendorlib}/

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/www/cgi-bin/
mv $RPM_BUILD_ROOT%{_prefix}/lib/swish-e/*cgi $RPM_BUILD_ROOT%{_localstatedir}/www/cgi-bin/

mv $RPM_BUILD_ROOT%{_prefix}/lib/swish-e/swishspider $RPM_BUILD_ROOT%{_bindir}/
mv $RPM_BUILD_ROOT%{_prefix}/lib/swish-e/*pl $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files perl
%defattr(-,root,root,-)
%dir %{_datadir}/swish-e
%{_datadir}/swish-e/*
%{_bindir}/swishspider
%{_bindir}/*pl

%files -n perl-SWISH
%defattr(-, root, root)
%{_bindir}/swish-filter-test
%dir %{perl_vendorlib}/SWISH/
%{perl_vendorlib}/SWISH/*
%{perl_vendorlib}/*.pm

%files
%defattr(-,root,root,-)
%doc README TODO COPYING
%{_libdir}/*.so.*
%{_bindir}/%{name}
%{_mandir}/man1/SWISH*
%{_mandir}/man1/swish*
%{_localstatedir}/www/cgi-bin/search.cgi
%{_localstatedir}/www/cgi-bin/swish.cgi

%files devel
%defattr(-,root,root,-)
%doc README.cvs
%{_bindir}/swish-config
%{_bindir}/swish-filter-test
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/swish-e.pc

%files doc
%defattr(-,root,root,-)
%doc html pod

%changelog
* Wed Sep 30 2009 Rakesh Pandit <rakesh@fedoraproject.org> 2.4.7-2
- Fixed package perl requires, added missing requires

* Mon Sep 14 2009 Rakesh Pandit <rakesh@fedoraproject.org> 2.4.7-1
- Initial package
